
{% macro render(widget) %}

<!-- <script>console.log('video obj', {{ videoObj | json }});</script> -->

    {% set video = widget.videoObj.items[0].video %}
   
    <!-- Problem with custom thumbnail, we need it to match video size -->
    <!-- {% if options.thumbnail %}
        {% set videoThumbnail =  apos.attachments.url(options.thumbnail) %}}
    {% else %} -->
        <!-- {% set videoThumbnail =  video.thumbnail %} -->
    <!-- {% endif %} -->

    <!--iframe: width="480" height="360" -->
    <div class="case-video-container waiting appear appear-video-play {{ widget.size }} {{ widget.marginTop }} {{ widget.marginBottom }}">
        <img class="vimeo-thumbnail" src="{{ video.thumbnail }}" />
        <!-- encrypted-media; -->
        <iframe class="vimeo-iframe" allow="accelerometer; autoplay; gyroscope; picture-in-picture" 
            src="{{ video.url }}?background=1&muted=1&loop=1"  frameborder="0" title="{{ video.title }}" ></iframe>
    </div>

{% endmacro %}

